[PC-BSD Commits] r1132 - in pbibuild/modules/thunderbird: . overlay-dir overlay-dir/bin
svn at pcbsd.org
svn at pcbsd.org
Thu Jan 10 08:31:34 PST 2008
Author: kris
Date: 2008-01-10 08:31:34 -0800 (Thu, 10 Jan 2008)
New Revision: 1132
Added:
pbibuild/modules/thunderbird/overlay-dir/bin/defaultbrowser
Removed:
pbibuild/modules/thunderbird/overlay-dir/bin/firefox
Modified:
pbibuild/modules/thunderbird/build.sh
pbibuild/modules/thunderbird/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/thunderbird/pbi.conf
Log:
Setup the Thunderbird application to open a default web-browser when a
user clicks a http, https, or ftp URL in an email. Also ask user if they want
to make thunderbird the default application
Modified: pbibuild/modules/thunderbird/build.sh
===================================================================
--- pbibuild/modules/thunderbird/build.sh 2008-01-10 16:04:30 UTC (rev 1131)
+++ pbibuild/modules/thunderbird/build.sh 2008-01-10 16:31:34 UTC (rev 1132)
@@ -44,3 +44,9 @@
# Copy over the lang-packs
tar cvf - -C /usr/local/lib/xpi/ . | tar xvf - -C ${PBIDIR}/autolibs/thunderbird/extensions/
+
+# Now append our prefs file with the default browser script so that users
+# clicking on URLs will get a browser which works
+echo "pref("network.protocol-handler.app.http", "/Programs/Thunderbird${PORTVER}/bin/defaultbrowser");
+pref("network.protocol-handler.app.ftp", "/Programs/Thunderbird${PORTVER}/bin/defaultbrowser");
+pref("network.protocol-handler.app.https", "/Programs/Thunderbird${PORTVER}/bin/defaultbrowser");" >> ${PBIDIR}/autolibs/thunderbird/greprefs/all.js
Modified: pbibuild/modules/thunderbird/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/thunderbird/overlay-dir/PBI.SetupScript.sh 2008-01-10 16:04:30 UTC (rev 1131)
+++ pbibuild/modules/thunderbird/overlay-dir/PBI.SetupScript.sh 2008-01-10 16:31:34 UTC (rev 1132)
@@ -15,4 +15,33 @@
# echo 'MSG: <text>' # Display this text above progress bar
#########################################
ln -s /Programs/${PROGDIR}/.sbin/thunderbird /usr/local/bin/thunderbird
+
+if [ ! -z "$DISPLAY" ]
+then
+
+USER="$USERNAME"
+if [ "$USER" != "root" ]
+then
+ HOMEDIR="/home/${USER}"
+else
+ HOMEDIR="/root"
+fi
+
+ # Ask if we should make this the default email application for our user
+ kdialog --yesno "Do you want to make Thunderbird the default E-Mail application?" --title "Default mail application?"
+ if [ "$?" = "0" ]
+ then
+ echo "[Defaults]
+Profile=Default
+
+[PROFILE_Default]
+EmailClient=/usr/local/bin/thunderbird
+ServerType=
+TerminalClient=false" > ${HOMEDIR}/.kde/share/config/emaildefaults
+ chown ${USERNAME}:${USERNAME} ${HOMEDIR}/.kde/share/config/emaildefaults
+ fi
+
+fi
+
+
echo "LAUNCHCLOSE: /usr/local/bin/thunderbird"
Added: pbibuild/modules/thunderbird/overlay-dir/bin/defaultbrowser
Property changes on: pbibuild/modules/thunderbird/overlay-dir/bin/defaultbrowser
___________________________________________________________________
Name: svn:executable
+ *
Deleted: pbibuild/modules/thunderbird/overlay-dir/bin/firefox
Modified: pbibuild/modules/thunderbird/pbi.conf
===================================================================
--- pbibuild/modules/thunderbird/pbi.conf 2008-01-10 16:04:30 UTC (rev 1131)
+++ pbibuild/modules/thunderbird/pbi.conf 2008-01-10 16:31:34 UTC (rev 1132)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="31"
+BUILDKEY="01"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list